- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
Sim::ActuatorGroup Class Reference

ActuatorSymmetry is a predefined and named ordered group of actuators that allows simpler calls of ALMotion API. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| ActuatorGroup ()
| creates an empty ActuatorGroup, you should not use this. More...
| ~ActuatorGroup ()
| destructor. More...
const std::string & | name () const
| name of the ActuatorGroup. More...
const ActuatorGroup * | parent () const
| parent of the actuator group if there is one, NULL otherwise. More...
std::vector< const Actuator * > | actuators () const
| ordered vector of the actuators of the ActuatorGroup. More...

## Public Attributes
class ActuatorGroupImpl * | a_impl
| private implementation. More...

## Detailed Description

ActuatorSymmetry is a predefined and named ordered group of actuators that allows simpler calls of ALMotion API.

Definition at line 612 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::ActuatorGroup::ActuatorGroup | ( |  | ) |

creates an empty ActuatorGroup, you should not use this.

Warning
  The ActuatorGroup created being empty, every access to this object will throw.

Sim::ActuatorGroup::~ActuatorGroup | ( |  | ) |

destructor.

## Member Function Documentation

std::vector<const Actuator*> Sim::ActuatorGroup::actuators | ( |  | ) | const

ordered vector of the actuators of the ActuatorGroup.

const std::string& Sim::ActuatorGroup::name | ( |  | ) | const

name of the ActuatorGroup.

const ActuatorGroup* Sim::ActuatorGroup::parent | ( |  | ) | const

parent of the actuator group if there is one, NULL otherwise.

## Member Data Documentation

class ActuatorGroupImpl* Sim::ActuatorGroup::a_impl

private implementation.

Definition at line 635 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h